Subject: Re: [Alacrityvm-devel] [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Gregory Haskins <[email-masked]>
Date: Sun, 27 Dec 2009 08:39:29 -0500

On 12/27/09 8:27 AM, Avi Kivity wrote:
> On 12/27/2009 03:18 PM, Gregory Haskins wrote:
>> On 12/27/09 4:15 AM, Avi Kivity wrote:
>>   
>>> On 12/23/2009 11:21 PM, Gregory Haskins wrote:
>>>     
>>>> That said, you are still incorrect.  With what I proposed, the model
>>>> will run as an in-kernel vbus device, and no longer run in userspace.
>>>> It would therefore improve virtio-net as I stated, much in the same
>>>> way vhost-net or venet-tap do today.
>>>>
>>>>        
>>> That can't work.  virtio-net has its own ABI on top of virtio, for
>>> example it prepends a header for TSO information.  Maybe if you disable
>>> all features it becomes compatible with venet, but that cripples it.
>>>
>>>      
>> You are confused.  The backend would be virtio-net specific, and would
>> therefore understand the virtio-net ABI.  It would support any feature
>> of virtio-net as long as it was implemented and negotiated by both sides
>> of the link.
>>    
> 
> Then we're back to square one.  A nice demonstration of vbus
> flexibility, but no help for virtio.
> 

No, where we are is at the point where we demonstrate that your original
statement that I did nothing to improve virtio was wrong.

-Greg